shithub: mp3dec

Download patch

ref: 25006952edd463e3121cf39ddc40dc7943158cc9
parent: f6f8fec8f6f8745f22d73c3ffa178473e3f10483
author: lieff <[email protected]>
date: Fri Feb 16 12:32:56 EST 2018

fuzz: correct .sh exec flags and use small start-up mp3 file

--- a/fuzzing/fuzz.sh
+++ b/fuzzing/fuzz.sh
@@ -1,4 +1,4 @@
 #!/usr/bin/env bash
 cd "${0%/*}"
 
-afl/afl-fuzz -m 50 -i- -o findings/ ./fuzz
+afl/afl-fuzz -m 50 -i ../vectors/fuzz -o findings ./fuzz
--- a/fuzzing/get-afl.sh
+++ b/fuzzing/get-afl.sh
@@ -1,14 +1,14 @@
-#!/usr/bin/env bash
-cd "${0%/*}"
-rm afl-latest.tgz
-wget http://lcamtuf.coredump.cx/afl/releases/afl-latest.tgz || exit
-tar -xzvf afl-latest.tgz
-rm afl-latest.tgz
-cd afl-*
-make || exit
-cd llvm_mode
-# may need to prepend LLVM_CONFIG=/usr/bin/llvm-config-3.8 or similar, depending on the system
-make || exit
-cd ../..
-rm -rf afl
+#!/usr/bin/env bash
+cd "${0%/*}"
+rm afl-latest.tgz
+wget http://lcamtuf.coredump.cx/afl/releases/afl-latest.tgz || exit
+tar -xzvf afl-latest.tgz
+rm afl-latest.tgz
+cd afl-*
+make || exit
+cd llvm_mode
+# may need to prepend LLVM_CONFIG=/usr/bin/llvm-config-3.8 or similar, depending on the system
+make || exit
+cd ../..
+rm -rf afl
 mv afl-* afl
\ No newline at end of file